// !$*UTF8*$!
{
	archiveVersion = 1;
	classes = {
	};
	objectVersion = 50;
	objects = {

/* Begin PBXBuildFile section */
		13BC0AFD24F66AE100C9A5FC /* AppDelegate.swift in Sources */ = {isa = PBXBuildFile; fileRef = 13BC0AFC24F66AE100C9A5FC /* AppDelegate.swift */; };
		13BC0AFF24F66AE100C9A5FC /* SceneDelegate.swift in Sources */ = {isa = PBXBuildFile; fileRef = 13BC0AFE24F66AE100C9A5FC /* SceneDelegate.swift */; };
		13BC0B0124F66AE100C9A5FC /* ViewController.swift in Sources */ = {isa = PBXBuildFile; fileRef = 13BC0B0024F66AE100C9A5FC /* ViewController.swift */; };
		13BC0B0424F66AE100C9A5FC /* Main.storyboard in Resources */ = {isa = PBXBuildFile; fileRef = 13BC0B0224F66AE100C9A5FC /* Main.storyboard */; };
		13BC0B0624F66AE300C9A5FC /* Assets.xcassets in Resources */ = {isa = PBXBuildFile; fileRef = 13BC0B0524F66AE300C9A5FC /* Assets.xcassets */; };
		13BC0B0924F66AE300C9A5FC /* LaunchScreen.storyboard in Resources */ = {isa = PBXBuildFile; fileRef = 13BC0B0724F66AE300C9A5FC /* LaunchScreen.storyboard */; };
		13BC0B1424F66AE300C9A5FC /* SubTreeAppTests.swift in Sources */ = {isa = PBXBuildFile; fileRef = 13BC0B1324F66AE300C9A5FC /* SubTreeAppTests.swift */; };
		13BC0BF024F66C0D00C9A5FC /* Core.framework in Frameworks */ = {isa = PBXBuildFile; fileRef = 13BC0BB424F66B9D00C9A5FC /* Core.framework */; };
		13BC0BF124F66C0D00C9A5FC /* Core.framework in Embed Frameworks */ = {isa = PBXBuildFile; fileRef = 13BC0BB424F66B9D00C9A5FC /* Core.framework */; settings = {ATTRIBUTES = (CodeSignOnCopy, RemoveHeadersOnCopy, ); }; };
		13BC0BF224F66C0D00C9A5FC /* Payment.framework in Frameworks */ = {isa = PBXBuildFile; fileRef = 13BC0BC624F66BA900C9A5FC /* Payment.framework */; };
		13BC0BF324F66C0D00C9A5FC /* Payment.framework in Embed Frameworks */ = {isa = PBXBuildFile; fileRef = 13BC0BC624F66BA900C9A5FC /* Payment.framework */; settings = {ATTRIBUTES = (CodeSignOnCopy, RemoveHeadersOnCopy, ); }; };
		13BC0BF424F66C0D00C9A5FC /* PaymentAPI.framework in Frameworks */ = {isa = PBXBuildFile; fileRef = 13BC0BBD24F66BA300C9A5FC /* PaymentAPI.framework */; };
		13BC0BF524F66C0D00C9A5FC /* PaymentAPI.framework in Embed Frameworks */ = {isa = PBXBuildFile; fileRef = 13BC0BBD24F66BA300C9A5FC /* PaymentAPI.framework */; settings = {ATTRIBUTES = (CodeSignOnCopy, RemoveHeadersOnCopy, ); }; };
/* End PBXBuildFile section */

/* Begin PBXContainerItemProxy section */
		13BC0B1024F66AE300C9A5FC /* PBXContainerItemProxy */ = {
			isa = PBXContainerItemProxy;
			containerPortal = 13BC0AF124F66AE100C9A5FC /* Project object */;
			proxyType = 1;
			remoteGlobalIDString = 13BC0AF824F66AE100C9A5FC;
			remoteInfo = SubTreeApp;
		};
		13BC0BB324F66B9D00C9A5FC /* PBXContainerItemProxy */ = {
			isa = PBXContainerItemProxy;
			containerPortal = 13BC0BAE24F66B9D00C9A5FC /* Core.xcodeproj */;
			proxyType = 2;
			remoteGlobalIDString = 13BC0B4C24F66B1B00C9A5FC;
			remoteInfo = Core;
		};
		13BC0BB524F66B9D00C9A5FC /* PBXContainerItemProxy */ = {
			isa = PBXContainerItemProxy;
			containerPortal = 13BC0BAE24F66B9D00C9A5FC /* Core.xcodeproj */;
			proxyType = 2;
			remoteGlobalIDString = 13BC0B5524F66B1C00C9A5FC;
			remoteInfo = CoreTests;
		};
		13BC0BBC24F66BA300C9A5FC /* PBXContainerItemProxy */ = {
			isa = PBXContainerItemProxy;
			containerPortal = 13BC0BB724F66BA300C9A5FC /* PaymentAPI.xcodeproj */;
			proxyType = 2;
			remoteGlobalIDString = 13BC0B7024F66B4900C9A5FC;
			remoteInfo = PaymentAPI;
		};
		13BC0BBE24F66BA300C9A5FC /* PBXContainerItemProxy */ = {
			isa = PBXContainerItemProxy;
			containerPortal = 13BC0BB724F66BA300C9A5FC /* PaymentAPI.xcodeproj */;
			proxyType = 2;
			remoteGlobalIDString = 13BC0B7924F66B4900C9A5FC;
			remoteInfo = PaymentAPITests;
		};
		13BC0BC524F66BA900C9A5FC /* PBXContainerItemProxy */ = {
			isa = PBXContainerItemProxy;
			containerPortal = 13BC0BC024F66BA900C9A5FC /* Payment.xcodeproj */;
			proxyType = 2;
			remoteGlobalIDString = 13BC0B9424F66B6900C9A5FC;
			remoteInfo = Payment;
		};
		13BC0BC724F66BA900C9A5FC /* PBXContainerItemProxy */ = {
			isa = PBXContainerItemProxy;
			containerPortal = 13BC0BC024F66BA900C9A5FC /* Payment.xcodeproj */;
			proxyType = 2;
			remoteGlobalIDString = 13BC0B9D24F66B6A00C9A5FC;
			remoteInfo = PaymentTests;
		};
/* End PBXContainerItemProxy section */

/* Begin PBXCopyFilesBuildPhase section */
		13BC0BF624F66C0D00C9A5FC /* Embed Frameworks */ = {
			isa = PBXCopyFilesBuildPhase;
			buildActionMask = 2147483647;
			dstPath = "";
			dstSubfolderSpec = 10;
			files = (
				13BC0BF524F66C0D00C9A5FC /* PaymentAPI.framework in Embed Frameworks */,
				13BC0BF124F66C0D00C9A5FC /* Core.framework in Embed Frameworks */,
				13BC0BF324F66C0D00C9A5FC /* Payment.framework in Embed Frameworks */,
			);
			name = "Embed Frameworks";
			runOnlyForDeploymentPostprocessing = 0;
		};
/* End PBXCopyFilesBuildPhase section */

/* Begin PBXFileReference section */
		13BC0AF924F66AE100C9A5FC /* SubTreeApp.app */ = {isa = PBXFileReference; explicitFileType = wrapper.application; includeInIndex = 0; path = SubTreeApp.app; sourceTree = BUILT_PRODUCTS_DIR; };
		13BC0AFC24F66AE100C9A5FC /* AppDelegate.swift */ = {isa = PBXFileReference; lastKnownFileType = sourcecode.swift; path = AppDelegate.swift; sourceTree = "<group>"; };
		13BC0AFE24F66AE100C9A5FC /* SceneDelegate.swift */ = {isa = PBXFileReference; lastKnownFileType = sourcecode.swift; path = SceneDelegate.swift; sourceTree = "<group>"; };
		13BC0B0024F66AE100C9A5FC /* ViewController.swift */ = {isa = PBXFileReference; lastKnownFileType = sourcecode.swift; path = ViewController.swift; sourceTree = "<group>"; };
		13BC0B0324F66AE100C9A5FC /* Base */ = {isa = PBXFileReference; lastKnownFileType = file.storyboard; name = Base; path = Base.lproj/Main.storyboard; sourceTree = "<group>"; };
		13BC0B0524F66AE300C9A5FC /* Assets.xcassets */ = {isa = PBXFileReference; lastKnownFileType = folder.assetcatalog; path = Assets.xcassets; sourceTree = "<group>"; };
		13BC0B0824F66AE300C9A5FC /* Base */ = {isa = PBXFileReference; lastKnownFileType = file.storyboard; name = Base; path = Base.lproj/LaunchScreen.storyboard; sourceTree = "<group>"; };
		13BC0B0A24F66AE300C9A5FC /* Info.plist */ = {isa = PBXFileReference; lastKnownFileType = text.plist.xml; path = Info.plist; sourceTree = "<group>"; };
		13BC0B0F24F66AE300C9A5FC /* SubTreeAppTests.xctest */ = {isa = PBXFileReference; explicitFileType = wrapper.cfbundle; includeInIndex = 0; path = SubTreeAppTests.xctest; sourceTree = BUILT_PRODUCTS_DIR; };
		13BC0B1324F66AE300C9A5FC /* SubTreeAppTests.swift */ = {isa = PBXFileReference; lastKnownFileType = sourcecode.swift; path = SubTreeAppTests.swift; sourceTree = "<group>"; };
		13BC0B1524F66AE300C9A5FC /* Info.plist */ = {isa = PBXFileReference; lastKnownFileType = text.plist.xml; path = Info.plist; sourceTree = "<group>"; };
		13BC0BAE24F66B9D00C9A5FC /* Core.xcodeproj */ = {isa = PBXFileReference; lastKnownFileType = "wrapper.pb-project"; name = Core.xcodeproj; path = ../Core/Core.xcodeproj; sourceTree = "<group>"; };
		13BC0BB724F66BA300C9A5FC /* PaymentAPI.xcodeproj */ = {isa = PBXFileReference; lastKnownFileType = "wrapper.pb-project"; name = PaymentAPI.xcodeproj; path = ../PaymentAPI/PaymentAPI.xcodeproj; sourceTree = "<group>"; };
		13BC0BC024F66BA900C9A5FC /* Payment.xcodeproj */ = {isa = PBXFileReference; lastKnownFileType = "wrapper.pb-project"; name = Payment.xcodeproj; path = ../Payment/Payment.xcodeproj; sourceTree = "<group>"; };
/* End PBXFileReference section */

/* Begin PBXFrameworksBuildPhase section */
		13BC0AF624F66AE100C9A5FC /* Frameworks */ = {
			isa = PBXFrameworksBuildPhase;
			buildActionMask = 2147483647;
			files = (
				13BC0BF424F66C0D00C9A5FC /* PaymentAPI.framework in Frameworks */,
				13BC0BF024F66C0D00C9A5FC /* Core.framework in Frameworks */,
				13BC0BF224F66C0D00C9A5FC /* Payment.framework in Frameworks */,
			);
			runOnlyForDeploymentPostprocessing = 0;
		};
		13BC0B0C24F66AE300C9A5FC /* Frameworks */ = {
			isa = PBXFrameworksBuildPhase;
			buildActionMask = 2147483647;
			files = (
			);
			runOnlyForDeploymentPostprocessing = 0;
		};
/* End PBXFrameworksBuildPhase section */

/* Begin PBXGroup section */
		13BC0AF024F66AE100C9A5FC = {
			isa = PBXGroup;
			children = (
				13BC0BC024F66BA900C9A5FC /* Payment.xcodeproj */,
				13BC0BB724F66BA300C9A5FC /* PaymentAPI.xcodeproj */,
				13BC0BAE24F66B9D00C9A5FC /* Core.xcodeproj */,
				13BC0AFB24F66AE100C9A5FC /* SubTreeApp */,
				13BC0B1224F66AE300C9A5FC /* SubTreeAppTests */,
				13BC0AFA24F66AE100C9A5FC /* Products */,
				13BC0BEF24F66C0D00C9A5FC /* Frameworks */,
			);
			sourceTree = "<group>";
		};
		13BC0AFA24F66AE100C9A5FC /* Products */ = {
			isa = PBXGroup;
			children = (
				13BC0AF924F66AE100C9A5FC /* SubTreeApp.app */,
				13BC0B0F24F66AE300C9A5FC /* SubTreeAppTests.xctest */,
			);
			name = Products;
			sourceTree = "<group>";
		};
		13BC0AFB24F66AE100C9A5FC /* SubTreeApp */ = {
			isa = PBXGroup;
			children = (
				13BC0AFC24F66AE100C9A5FC /* AppDelegate.swift */,
				13BC0AFE24F66AE100C9A5FC /* SceneDelegate.swift */,
				13BC0B0024F66AE100C9A5FC /* ViewController.swift */,
				13BC0B0224F66AE100C9A5FC /* Main.storyboard */,
				13BC0B0524F66AE300C9A5FC /* Assets.xcassets */,
				13BC0B0724F66AE300C9A5FC /* LaunchScreen.storyboard */,
				13BC0B0A24F66AE300C9A5FC /* Info.plist */,
			);
			path = SubTreeApp;
			sourceTree = "<group>";
		};
		13BC0B1224F66AE300C9A5FC /* SubTreeAppTests */ = {
			isa = PBXGroup;
			children = (
				13BC0B1324F66AE300C9A5FC /* SubTreeAppTests.swift */,
				13BC0B1524F66AE300C9A5FC /* Info.plist */,
			);
			path = SubTreeAppTests;
			sourceTree = "<group>";
		};
		13BC0BAF24F66B9D00C9A5FC /* Products */ = {
			isa = PBXGroup;
			children = (
				13BC0BB424F66B9D00C9A5FC /* Core.framework */,
				13BC0BB624F66B9D00C9A5FC /* CoreTests.xctest */,
			);
			name = Products;
			sourceTree = "<group>";
		};
		13BC0BB824F66BA300C9A5FC /* Products */ = {
			isa = PBXGroup;
			children = (
				13BC0BBD24F66BA300C9A5FC /* PaymentAPI.framework */,
				13BC0BBF24F66BA300C9A5FC /* PaymentAPITests.xctest */,
			);
			name = Products;
			sourceTree = "<group>";
		};
		13BC0BC124F66BA900C9A5FC /* Products */ = {
			isa = PBXGroup;
			children = (
				13BC0BC624F66BA900C9A5FC /* Payment.framework */,
				13BC0BC824F66BA900C9A5FC /* PaymentTests.xctest */,
			);
			name = Products;
			sourceTree = "<group>";
		};
		13BC0BEF24F66C0D00C9A5FC /* Frameworks */ = {
			isa = PBXGroup;
			children = (
			);
			name = Frameworks;
			sourceTree = "<group>";
		};
/* End PBXGroup section */

/* Begin PBXNativeTarget section */
		13BC0AF824F66AE100C9A5FC /* SubTreeApp */ = {
			isa = PBXNativeTarget;
			buildConfigurationList = 13BC0B1824F66AE300C9A5FC /* Build configuration list for PBXNativeTarget "SubTreeApp" */;
			buildPhases = (
				13BC0AF524F66AE100C9A5FC /* Sources */,
				13BC0AF624F66AE100C9A5FC /* Frameworks */,
				13BC0AF724F66AE100C9A5FC /* Resources */,
				13BC0BF624F66C0D00C9A5FC /* Embed Frameworks */,
			);
			buildRules = (
			);
			dependencies = (
			);
			name = SubTreeApp;
			productName = SubTreeApp;
			productReference = 13BC0AF924F66AE100C9A5FC /* SubTreeApp.app */;
			productType = "com.apple.product-type.application";
		};
		13BC0B0E24F66AE300C9A5FC /* SubTreeAppTests */ = {
			isa = PBXNativeTarget;
			buildConfigurationList = 13BC0B1B24F66AE300C9A5FC /* Build configuration list for PBXNativeTarget "SubTreeAppTests" */;
			buildPhases = (
				13BC0B0B24F66AE300C9A5FC /* Sources */,
				13BC0B0C24F66AE300C9A5FC /* Frameworks */,
				13BC0B0D24F66AE300C9A5FC /* Resources */,
			);
			buildRules = (
			);
			dependencies = (
				13BC0B1124F66AE300C9A5FC /* PBXTargetDependency */,
			);
			name = SubTreeAppTests;
			productName = SubTreeAppTests;
			productReference = 13BC0B0F24F66AE300C9A5FC /* SubTreeAppTests.xctest */;
			productType = "com.apple.product-type.bundle.unit-test";
		};
/* End PBXNativeTarget section */

/* Begin PBXProject section */
		13BC0AF124F66AE100C9A5FC /* Project object */ = {
			isa = PBXProject;
			attributes = {
				LastSwiftUpdateCheck = 1160;
				LastUpgradeCheck = 1160;
				ORGANIZATIONNAME = "Sergey Safiullin";
				TargetAttributes = {
					13BC0AF824F66AE100C9A5FC = {
						CreatedOnToolsVersion = 11.6;
					};
					13BC0B0E24F66AE300C9A5FC = {
						CreatedOnToolsVersion = 11.6;
						TestTargetID = 13BC0AF824F66AE100C9A5FC;
					};
				};
			};
			buildConfigurationList = 13BC0AF424F66AE100C9A5FC /* Build configuration list for PBXProject "SubTreeApp" */;
			compatibilityVersion = "Xcode 9.3";
			developmentRegion = en;
			hasScannedForEncodings = 0;
			knownRegions = (
				en,
				Base,
			);
			mainGroup = 13BC0AF024F66AE100C9A5FC;
			productRefGroup = 13BC0AFA24F66AE100C9A5FC /* Products */;
			projectDirPath = "";
			projectReferences = (
				{
					ProductGroup = 13BC0BAF24F66B9D00C9A5FC /* Products */;
					ProjectRef = 13BC0BAE24F66B9D00C9A5FC /* Core.xcodeproj */;
				},
				{
					ProductGroup = 13BC0BC124F66BA900C9A5FC /* Products */;
					ProjectRef = 13BC0BC024F66BA900C9A5FC /* Payment.xcodeproj */;
				},
				{
					ProductGroup = 13BC0BB824F66BA300C9A5FC /* Products */;
					ProjectRef = 13BC0BB724F66BA300C9A5FC /* PaymentAPI.xcodeproj */;
				},
			);
			projectRoot = "";
			targets = (
				13BC0AF824F66AE100C9A5FC /* SubTreeApp */,
				13BC0B0E24F66AE300C9A5FC /* SubTreeAppTests */,
			);
		};
/* End PBXProject section */

/* Begin PBXReferenceProxy section */
		13BC0BB424F66B9D00C9A5FC /* Core.framework */ = {
			isa = PBXReferenceProxy;
			fileType = wrapper.framework;
			path = Core.framework;
			remoteRef = 13BC0BB324F66B9D00C9A5FC /* PBXContainerItemProxy */;
			sourceTree = BUILT_PRODUCTS_DIR;
		};
		13BC0BB624F66B9D00C9A5FC /* CoreTests.xctest */ = {
			isa = PBXReferenceProxy;
			fileType = wrapper.cfbundle;
			path = CoreTests.xctest;
			remoteRef = 13BC0BB524F66B9D00C9A5FC /* PBXContainerItemProxy */;
			sourceTree = BUILT_PRODUCTS_DIR;
		};
		13BC0BBD24F66BA300C9A5FC /* PaymentAPI.framework */ = {
			isa = PBXReferenceProxy;
			fileType = wrapper.framework;
			path = PaymentAPI.framework;
			remoteRef = 13BC0BBC24F66BA300C9A5FC /* PBXContainerItemProxy */;
			sourceTree = BUILT_PRODUCTS_DIR;
		};
		13BC0BBF24F66BA300C9A5FC /* PaymentAPITests.xctest */ = {
			isa = PBXReferenceProxy;
			fileType = wrapper.cfbundle;
			path = PaymentAPITests.xctest;
			remoteRef = 13BC0BBE24F66BA300C9A5FC /* PBXContainerItemProxy */;
			sourceTree = BUILT_PRODUCTS_DIR;
		};
		13BC0BC624F66BA900C9A5FC /* Payment.framework */ = {
			isa = PBXReferenceProxy;
			fileType = wrapper.framework;
			path = Payment.framework;
			remoteRef = 13BC0BC524F66BA900C9A5FC /* PBXContainerItemProxy */;
			sourceTree = BUILT_PRODUCTS_DIR;
		};
		13BC0BC824F66BA900C9A5FC /* PaymentTests.xctest */ = {
			isa = PBXReferenceProxy;
			fileType = wrapper.cfbundle;
			path = PaymentTests.xctest;
			remoteRef = 13BC0BC724F66BA900C9A5FC /* PBXContainerItemProxy */;
			sourceTree = BUILT_PRODUCTS_DIR;
		};
/* End PBXReferenceProxy section */

/* Begin PBXResourcesBuildPhase section */
		13BC0AF724F66AE100C9A5FC /* Resources */ = {
			isa = PBXResourcesBuildPhase;
			buildActionMask = 2147483647;
			files = (
				13BC0B0924F66AE300C9A5FC /* LaunchScreen.storyboard in Resources */,
				13BC0B0624F66AE300C9A5FC /* Assets.xcassets in Resources */,
				13BC0B0424F66AE100C9A5FC /* Main.storyboard in Resources */,
			);
			runOnlyForDeploymentPostprocessing = 0;
		};
		13BC0B0D24F66AE300C9A5FC /* Resources */ = {
			isa = PBXResourcesBuildPhase;
			buildActionMask = 2147483647;
			files = (
			);
			runOnlyForDeploymentPostprocessing = 0;
		};
/* End PBXResourcesBuildPhase section */

/* Begin PBXSourcesBuildPhase section */
		13BC0AF524F66AE100C9A5FC /* Sources */ = {
			isa = PBXSourcesBuildPhase;
			buildActionMask = 2147483647;
			files = (
				13BC0B0124F66AE100C9A5FC /* ViewController.swift in Sources */,
				13BC0AFD24F66AE100C9A5FC /* AppDelegate.swift in Sources */,
				13BC0AFF24F66AE100C9A5FC /* SceneDelegate.swift in Sources */,
			);
			runOnlyForDeploymentPostprocessing = 0;
		};
		13BC0B0B24F66AE300C9A5FC /* Sources */ = {
			isa = PBXSourcesBuildPhase;
			buildActionMask = 2147483647;
			files = (
				13BC0B1424F66AE300C9A5FC /* SubTreeAppTests.swift in Sources */,
			);
			runOnlyForDeploymentPostprocessing = 0;
		};
/* End PBXSourcesBuildPhase section */

/* Begin PBXTargetDependency section */
		13BC0B1124F66AE300C9A5FC /* PBXTargetDependency */ = {
			isa = PBXTargetDependency;
			target = 13BC0AF824F66AE100C9A5FC /* SubTreeApp */;
			targetProxy = 13BC0B1024F66AE300C9A5FC /* PBXContainerItemProxy */;
		};
/* End PBXTargetDependency section */

/* Begin PBXVariantGroup section */
		13BC0B0224F66AE100C9A5FC /* Main.storyboard */ = {
			isa = PBXVariantGroup;
			children = (
				13BC0B0324F66AE100C9A5FC /* Base */,
			);
			name = Main.storyboard;
			sourceTree = "<group>";
		};
		13BC0B0724F66AE300C9A5FC /* LaunchScreen.storyboard */ = {
			isa = PBXVariantGroup;
			children = (
				13BC0B0824F66AE300C9A5FC /* Base */,
			);
			name = LaunchScreen.storyboard;
			sourceTree = "<group>";
		};
/* End PBXVariantGroup section */

/* Begin XCBuildConfiguration section */
		13BC0B1624F66AE300C9A5FC /* Debug */ = {
			isa = XCBuildConfiguration;
			buildSettings = {
				ALWAYS_SEARCH_USER_PATHS = NO;
				CLANG_ANALYZER_NONNULL = YES;
				CLANG_ANALYZER_NUMBER_OBJECT_CONVERSION = YES_AGGRESSIVE;
				CLANG_CXX_LANGUAGE_STANDARD = "gnu++14";
				CLANG_CXX_LIBRARY = "libc++";
				CLANG_ENABLE_MODULES = YES;
				CLANG_ENABLE_OBJC_ARC = YES;
				CLANG_ENABLE_OBJC_WEAK = YES;
				CLANG_WARN_BLOCK_CAPTURE_AUTORELEASING = YES;
				CLANG_WARN_BOOL_CONVERSION = YES;
				CLANG_WARN_COMMA = YES;
				CLANG_WARN_CONSTANT_CONVERSION = YES;
				CLANG_WARN_DEPRECATED_OBJC_IMPLEMENTATIONS = YES;
				CLANG_WARN_DIRECT_OBJC_ISA_USAGE = YES_ERROR;
				CLANG_WARN_DOCUMENTATION_COMMENTS = YES;
				CLANG_WARN_EMPTY_BODY = YES;
				CLANG_WARN_ENUM_CONVERSION = YES;
				CLANG_WARN_INFINITE_RECURSION = YES;
				CLANG_WARN_INT_CONVERSION = YES;
				CLANG_WARN_NON_LITERAL_NULL_CONVERSION = YES;
				CLANG_WARN_OBJC_IMPLICIT_RETAIN_SELF = YES;
				CLANG_WARN_OBJC_LITERAL_CONVERSION = YES;
				CLANG_WARN_OBJC_ROOT_CLASS = YES_ERROR;
				CLANG_WARN_RANGE_LOOP_ANALYSIS = YES;
				CLANG_WARN_STRICT_PROTOTYPES = YES;
				CLANG_WARN_SUSPICIOUS_MOVE = YES;
				CLANG_WARN_UNGUARDED_AVAILABILITY = YES_AGGRESSIVE;
				CLANG_WARN_UNREACHABLE_CODE = YES;
				CLANG_WARN__DUPLICATE_METHOD_MATCH = YES;
				COPY_PHASE_STRIP = NO;
				DEBUG_INFORMATION_FORMAT = dwarf;
				ENABLE_STRICT_OBJC_MSGSEND = YES;
				ENABLE_TESTABILITY = YES;
				GCC_C_LANGUAGE_STANDARD = gnu11;
				GCC_DYNAMIC_NO_PIC = NO;
				GCC_NO_COMMON_BLOCKS = YES;
				GCC_OPTIMIZATION_LEVEL = 0;
				GCC_PREPROCESSOR_DEFINITIONS = (
					"DEBUG=1",
					"$(inherited)",
				);
				GCC_WARN_64_TO_32_BIT_CONVERSION = YES;
				GCC_WARN_ABOUT_RETURN_TYPE = YES_ERROR;
				GCC_WARN_UNDECLARED_SELECTOR = YES;
				GCC_WARN_UNINITIALIZED_AUTOS = YES_AGGRESSIVE;
				GCC_WARN_UNUSED_FUNCTION = YES;
				GCC_WARN_UNUSED_VARIABLE = YES;
				IPHONEOS_DEPLOYMENT_TARGET = 13.6;
				MTL_ENABLE_DEBUG_INFO = INCLUDE_SOURCE;
				MTL_FAST_MATH = YES;
				ONLY_ACTIVE_ARCH = YES;
				SDKROOT = iphoneos;
				SWIFT_ACTIVE_COMPILATION_CONDITIONS = DEBUG;
				SWIFT_OPTIMIZATION_LEVEL = "-Onone";
			};
			name = Debug;
		};
		13BC0B1724F66AE300C9A5FC /* Release */ = {
			isa = XCBuildConfiguration;
			buildSettings = {
				ALWAYS_SEARCH_USER_PATHS = NO;
				CLANG_ANALYZER_NONNULL = YES;
				CLANG_ANALYZER_NUMBER_OBJECT_CONVERSION = YES_AGGRESSIVE;
				CLANG_CXX_LANGUAGE_STANDARD = "gnu++14";
				CLANG_CXX_LIBRARY = "libc++";
				CLANG_ENABLE_MODULES = YES;
				CLANG_ENABLE_OBJC_ARC = YES;
				CLANG_ENABLE_OBJC_WEAK = YES;
				CLANG_WARN_BLOCK_CAPTURE_AUTORELEASING = YES;
				CLANG_WARN_BOOL_CONVERSION = YES;
				CLANG_WARN_COMMA = YES;
				CLANG_WARN_CONSTANT_CONVERSION = YES;
				CLANG_WARN_DEPRECATED_OBJC_IMPLEMENTATIONS = YES;
				CLANG_WARN_DIRECT_OBJC_ISA_USAGE = YES_ERROR;
				CLANG_WARN_DOCUMENTATION_COMMENTS = YES;
				CLANG_WARN_EMPTY_BODY = YES;
				CLANG_WARN_ENUM_CONVERSION = YES;
				CLANG_WARN_INFINITE_RECURSION = YES;
				CLANG_WARN_INT_CONVERSION = YES;
				CLANG_WARN_NON_LITERAL_NULL_CONVERSION = YES;
				CLANG_WARN_OBJC_IMPLICIT_RETAIN_SELF = YES;
				CLANG_WARN_OBJC_LITERAL_CONVERSION = YES;
				CLANG_WARN_OBJC_ROOT_CLASS = YES_ERROR;
				CLANG_WARN_RANGE_LOOP_ANALYSIS = YES;
				CLANG_WARN_STRICT_PROTOTYPES = YES;
				CLANG_WARN_SUSPICIOUS_MOVE = YES;
				CLANG_WARN_UNGUARDED_AVAILABILITY = YES_AGGRESSIVE;
				CLANG_WARN_UNREACHABLE_CODE = YES;
				CLANG_WARN__DUPLICATE_METHOD_MATCH = YES;
				COPY_PHASE_STRIP = NO;
				DEBUG_INFORMATION_FORMAT = "dwarf-with-dsym";
				ENABLE_NS_ASSERTIONS = NO;
				ENABLE_STRICT_OBJC_MSGSEND = YES;
				GCC_C_LANGUAGE_STANDARD = gnu11;
				GCC_NO_COMMON_BLOCKS = YES;
				GCC_WARN_64_TO_32_BIT_CONVERSION = YES;
				GCC_WARN_ABOUT_RETURN_TYPE = YES_ERROR;
				GCC_WARN_UNDECLARED_SELECTOR = YES;
				GCC_WARN_UNINITIALIZED_AUTOS = YES_AGGRESSIVE;
				GCC_WARN_UNUSED_FUNCTION = YES;
				GCC_WARN_UNUSED_VARIABLE = YES;
				IPHONEOS_DEPLOYMENT_TARGET = 13.6;
				MTL_ENABLE_DEBUG_INFO = NO;
				MTL_FAST_MATH = YES;
				SDKROOT = iphoneos;
				SWIFT_COMPILATION_MODE = wholemodule;
				SWIFT_OPTIMIZATION_LEVEL = "-O";
				VALIDATE_PRODUCT = YES;
			};
			name = Release;
		};
		13BC0B1924F66AE300C9A5FC /* Debug */ = {
			isa = XCBuildConfiguration;
			buildSettings = {
				ASSETCATALOG_COMPILER_APPICON_NAME = AppIcon;
				CODE_SIGN_STYLE = Automatic;
				INFOPLIST_FILE = SubTreeApp/Info.plist;
				LD_RUNPATH_SEARCH_PATHS = (
					"$(inherited)",
					"@executable_path/Frameworks",
				);
				PRODUCT_BUNDLE_IDENTIFIER = com.sergeysafiullin.SubTreeApp;
				PRODUCT_NAME = "$(TARGET_NAME)";
				SWIFT_VERSION = 5.0;
				TARGETED_DEVICE_FAMILY = "1,2";
			};
			name = Debug;
		};
		13BC0B1A24F66AE300C9A5FC /* Release */ = {
			isa = XCBuildConfiguration;
			buildSettings = {
				ASSETCATALOG_COMPILER_APPICON_NAME = AppIcon;
				CODE_SIGN_STYLE = Automatic;
				INFOPLIST_FILE = SubTreeApp/Info.plist;
				LD_RUNPATH_SEARCH_PATHS = (
					"$(inherited)",
					"@executable_path/Frameworks",
				);
				PRODUCT_BUNDLE_IDENTIFIER = com.sergeysafiullin.SubTreeApp;
				PRODUCT_NAME = "$(TARGET_NAME)";
				SWIFT_VERSION = 5.0;
				TARGETED_DEVICE_FAMILY = "1,2";
			};
			name = Release;
		};
		13BC0B1C24F66AE300C9A5FC /* Debug */ = {
			isa = XCBuildConfiguration;
			buildSettings = {
				ALWAYS_EMBED_SWIFT_STANDARD_LIBRARIES = YES;
				BUNDLE_LOADER = "$(TEST_HOST)";
				CODE_SIGN_STYLE = Automatic;
				INFOPLIST_FILE = SubTreeAppTests/Info.plist;
				IPHONEOS_DEPLOYMENT_TARGET = 13.6;
				LD_RUNPATH_SEARCH_PATHS = (
					"$(inherited)",
					"@executable_path/Frameworks",
					"@loader_path/Frameworks",
				);
				PRODUCT_BUNDLE_IDENTIFIER = com.sergeysafiullin.SubTreeAppTests;
				PRODUCT_NAME = "$(TARGET_NAME)";
				SWIFT_VERSION = 5.0;
				TARGETED_DEVICE_FAMILY = "1,2";
				TEST_HOST = "$(BUILT_PRODUCTS_DIR)/SubTreeApp.app/SubTreeApp";
			};
			name = Debug;
		};
		13BC0B1D24F66AE300C9A5FC /* Release */ = {
			isa = XCBuildConfiguration;
			buildSettings = {
				ALWAYS_EMBED_SWIFT_STANDARD_LIBRARIES = YES;
				BUNDLE_LOADER = "$(TEST_HOST)";
				CODE_SIGN_STYLE = Automatic;
				INFOPLIST_FILE = SubTreeAppTests/Info.plist;
				IPHONEOS_DEPLOYMENT_TARGET = 13.6;
				LD_RUNPATH_SEARCH_PATHS = (
					"$(inherited)",
					"@executable_path/Frameworks",
					"@loader_path/Frameworks",
				);
				PRODUCT_BUNDLE_IDENTIFIER = com.sergeysafiullin.SubTreeAppTests;
				PRODUCT_NAME = "$(TARGET_NAME)";
				SWIFT_VERSION = 5.0;
				TARGETED_DEVICE_FAMILY = "1,2";
				TEST_HOST = "$(BUILT_PRODUCTS_DIR)/SubTreeApp.app/SubTreeApp";
			};
			name = Release;
		};
/* End XCBuildConfiguration section */

/* Begin XCConfigurationList section */
		13BC0AF424F66AE100C9A5FC /* Build configuration list for PBXProject "SubTreeApp" */ = {
			isa = XCConfigurationList;
			buildConfigurations = (
				13BC0B1624F66AE300C9A5FC /* Debug */,
				13BC0B1724F66AE300C9A5FC /* Release */,
			);
			defaultConfigurationIsVisible = 0;
			defaultConfigurationName = Release;
		};
		13BC0B1824F66AE300C9A5FC /* Build configuration list for PBXNativeTarget "SubTreeApp" */ = {
			isa = XCConfigurationList;
			buildConfigurations = (
				13BC0B1924F66AE300C9A5FC /* Debug */,
				13BC0B1A24F66AE300C9A5FC /* Release */,
			);
			defaultConfigurationIsVisible = 0;
			defaultConfigurationName = Release;
		};
		13BC0B1B24F66AE300C9A5FC /* Build configuration list for PBXNativeTarget "SubTreeAppTests" */ = {
			isa = XCConfigurationList;
			buildConfigurations = (
				13BC0B1C24F66AE300C9A5FC /* Debug */,
				13BC0B1D24F66AE300C9A5FC /* Release */,
			);
			defaultConfigurationIsVisible = 0;
			defaultConfigurationName = Release;
		};
/* End XCConfigurationList section */
	};
	rootObject = 13BC0AF124F66AE100C9A5FC /* Project object */;
}
